<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
    <ProduceReferenceAssembly>true</ProduceReferenceAssembly>
    <UserSecretsId>6e025cda-40b5-4474-8d3f-48acab019781</UserSecretsId>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DebugType>portable</DebugType>
    <DebugSymbols>true</DebugSymbols>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Test_Document.pdf" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Test_Document.pdf" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Magick.NET-Q16-AnyCPU" Version="13.1.0" />
    <PackageReference Include="Magick.NET.Core" Version="13.1.0" />
    <PackageReference Include="Rg.Plugins.Popup" Version="2.1.0" />
    <PackageReference Include="SharpDX.Direct2D1" Version="4.2.0" />
    <PackageReference Include="SkiaSharp" Version="2.88.3" />
    <PackageReference Include="SkiaSharp.Views.Forms" Version="2.88.3" />
    <PackageReference Include="Telerik.Reporting" Version="17.0.23.315" />
    <PackageReference Include="Telerik.UI.for.Xamarin.Documents.Core" Version="2023.1.307" />
    <PackageReference Include="Telerik.UI.for.Xamarin.Documents.Fixed" Version="2023.1.307" />
    <PackageReference Include="Telerik.UI.for.Xamarin.Documents.Flow.FormatProviders.Pdf" Version="2023.1.307" />
    <PackageReference Include="Telerik.UI.for.Xamarin.Documents.Flow" Version="2023.1.307" />
    <PackageReference Include="Telerik.UI.for.Xamarin.PdfViewer" Version="2023.1.314.1" />
    <PackageReference Include="Telerik.UI.for.Xamarin.SkiaSharp" Version="2023.1.314.1" />
    <PackageReference Include="Telerik.UI.for.Xamarin" Version="2023.1.314.1" />
    <PackageReference Include="Telerik.UI.for.Xamarin.Zip" Version="2023.1.307" />
    <PackageReference Include="Xamarin.Forms" Version="5.0.0.2196" />
    <PackageReference Include="Xamarin.Essentials" Version="1.7.0" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="PdfPopupPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
  </ItemGroup>

  <ItemGroup>
    <None Update="PDFViewPage.xaml">
      <Generator>MSBuild:Compile</Generator>
    </None>
  </ItemGroup>
</Project>